10     DIM Adapter$[9],Meas_para$[5],Dc_b_rng$[9],Buff$[9]
20     DIM Osc_mode$(1:3)[9],Dc_b_mode$(1:3)[9],Bw_fact$(1:3)[9]
30     DIM Split$[9],Accumulate$[9],Disp_a$[9],Disp_b$[9]
40     DIM Fmt_a$[9],Fmt_b$[9],Phase_unit$[9],Exp_phase$[9]
50     REAL List_star(1:3),List_stop(1:3),Osc_pow(1:3),Dc_bias(1:3)
60     REAL Dc_b_max,Top_v_a,Btm_v_a,Ref_v_b,Scal_b
70     INTEGER Nop(1:3),P_ave(1:3),Ref_p_b
80     !
90     IF SYSTEM$("SYSTEM ID")="HP4294A" THEN 
100      ASSIGN @Hp4294a TO 800
110    ELSE
120      ASSIGN @Hp4294a TO 717
130    END IF
140    !
150    Adapter$="OFF"
160    Meas_para$="IMPH"
170    Dc_b_max=15.0
180    Dc_b_rng$="M10"
190    !
200    ! List Sweep Table
210    ! -- Segment 1 --
220    List_star(1)=1.0E+6
230    List_stop(1)=2.0E+7
240    Nop(1)=21
250    Osc_mode$(1)="VOLT"
260    Osc_pow(1)=1.0
270    Dc_b_mode$(1)="CVOLT"
280    Dc_bias(1)=10.0
290    Bw_fact$(1)="1"
300    P_ave(1)=1
310    ! -- Segment 2 --
320    List_star(2)=2.0E+7
330    List_stop(2)=4.0E+7
340    Nop(2)=51
350    Osc_mode$(2)="VOLT"
360    Osc_pow(2)=1.0
370    Dc_b_mode$(2)="CVOLT"
380    Dc_bias(2)=10.0
390    Bw_fact$(2)="5"
400    P_ave(2)=4
410    ! -- Segment 3 --
420    List_star(3)=4.0E+7
430    List_stop(3)=1.0E+8
440    Nop(3)=21
450    Osc_mode$(3)="VOLT"
460    Osc_pow(3)=1.0
470    Dc_b_mode$(3)="CVOLT"
480    Dc_bias(3)=10.0
490    Bw_fact$(3)="1"
500    P_ave(3)=1
510    !
520    ! Display Setting
530    !
540    Split$="ON"
550    Accumulate$="ON"
560    ! -- Trace A --
570    Disp_a$="DATA"
580    Fmt_a$="LOGY"
590    Top_v_a=1.0E-3
600    Btm_v_a=1.0E-9
610    ! -- Trace B --
620    Disp_b$="DATA"
630    Fmt_b$="LINY"
640    Ref_p_b=5
650    Ref_v_b=0.
660    Scal_b=72.0
670    Phase_unit$="DEG"
680    Exp_phase$="ON"
690    !
700    OUTPUT @Hp4294a;"PRES"
710    OUTPUT @Hp4294a;"E4TP "&Adapter$
720    !
730    ! List Sweep Tabel Edit
740    !
750    OUTPUT @Hp4294a;"EDITLIST"
760    FOR I=1 TO 3
770      OUTPUT @Hp4294a;"SADD"
780      OUTPUT @Hp4294a;"STAR ";List_star(I)
790      OUTPUT @Hp4294a;"STOP ";List_stop(I)
800      OUTPUT @Hp4294a;"POIN ";Nop(I)
810      OUTPUT @Hp4294a;"POWMOD "&Osc_mode$(I)
820      OUTPUT @Hp4294a;"POWE ";Osc_pow(I)
830      OUTPUT @Hp4294a;"DCMOD "&Dc_b_mode$(I)
840      OUTPUT @Hp4294a;"DCV ";Dc_bias(I)
850      OUTPUT @Hp4294a;"BWFACT "&Bw_fact$(I)
860      OUTPUT @Hp4294a;"PAVERFACT ";P_ave(I)
870      OUTPUT @Hp4294a;"SDON"
880      OUTPUT @Hp4294a;"SCOL ";((I-1) MOD 6)+1
890    NEXT I
900    OUTPUT @Hp4294a;"EDITDONE"
910    !
920    OUTPUT @Hp4294a;"MEAS "&Meas_para$
930    OUTPUT @Hp4294a;"MAXDCV ";Dc_b_max
940    OUTPUT @Hp4294a;"DCRNG "&Dc_b_rng$
950    OUTPUT @Hp4294a;"DCO ON"
960    OUTPUT @Hp4294a;"SWPT LIST"
970    OUTPUT @Hp4294a;"LISPAN SEGMENT"
980    OUTPUT @Hp4294a;"SPLD "&Split$
990    OUTPUT @Hp4294a;"ACCUD "&Accumulate$
1000   !
1010   ! Trace A Setting
1020   !
1030   OUTPUT @Hp4294a;"TRAC A"
1040   OUTPUT @Hp4294a;"DISP "&Disp_a$
1050   OUTPUT @Hp4294a;"FMT "&Fmt_a$
1060   OUTPUT @Hp4294a;"TOPV ";Top_v_a
1070   OUTPUT @Hp4294a;"BOTV ";Btm_v_a
1080   !
1090   ! Trace B Setting
1100   !
1110   OUTPUT @Hp4294a;"TRAC B"
1120   OUTPUT @Hp4294a;"DISP "&Disp_b$
1130   OUTPUT @Hp4294a;"FMT "&Fmt_b$
1140   OUTPUT @Hp4294a;"REFP ";Ref_p_b
1150   OUTPUT @Hp4294a;"REFV ";Ref_v_b
1160   OUTPUT @Hp4294a;"SCAL ";Scal_b
1170   OUTPUT @Hp4294a;"PHAU "&Phase_unit$
1180   OUTPUT @Hp4294a;"EXPP "&Exp_phase$
1190   !
1200   OUTPUT @Hp4294a;"*OPC?"
1210   ENTER @Hp4294a;Buff$
1220   PRINT "Measurement Condition Setup Complete"
1230   END
5000   !*************************************************
5010   !* DESCRIPTION:  Agilent 4294A Sample Program
5020   !*
5030   !* AUTHOR:       Agilent Technologies Japan, Ltd.
5040   !* CREATED:      4/26/1999
5050   !* PROGRAM NAME: setup.bas
5060   !* REVISION:     A.01.00
5070   !*
5080   !*    Copyright (c) 1999 Agilent Technologies,
5090   !*             All rights reserved.
5100   !*
5110   !*
5120   !*  Customer shall have the personal, non-
5130   !* transferable rights to use, copy or modify
5140   !* this SAMPLE PROGRAM for Customer's internal
5150   !* operations. Customer shall use the SAMPLE
5160   !* PROGRAM solely and exclusively for its own
5170   !* purpose and shall not license, lease, market
5180   !* or distribute the SAMPLE PROGRAM or
5190   !* modification or any part thereof.
5200   !*
5210   !*  Agilent Technologies shall not be liable for
5220   !* the quality, performance or behavior of the
5230   !* SAMPLE PROGRAM. Agilent Technologies especially
5240   !* disclaims that the operation of the SAMPLE
5250   !* PROGRAM shall be uninterrupted or error free.
5260   !* This SAMPLE PROGRAM is provided AS IS.
5270   !*
5280   !*  AGILENT TECHNOLOGIES DISCLAIMS THE IMPLIED
5290   !* WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
5300   !* A PARTICULAR PURPOSE.
5310   !*
5320   !*  Agilent Technologies shall not be liable for
5330   !* any infringement of any patent, trademark,
5340   !* copyright or other proprietary rights by the
5350   !* SAMPLE PROGRAM or its use. Agilent Technologies
5360   !* does not warrant that the SAMPLE PROGRAM is
5370   !* free from infringements or such rights of third
5380   !* parties. However, Agilent Technologies will not
5390   !* knowingly infringe or deliver a software that
5400   !* infringes the patent, trademark, copyright or
5410   !* other proprietary right of a third party.
5420   !*
5430   !*************************************************
